#!/bin/bash
# (c) Andreas Lindenau DL4JAL
# Version 0.1

# Variable Strings zum Kompilieren und Programmieren
QUELLTEXT=mc
LKR=18f45k22_g.lkr
# Paths in extra Datei
source ../pathconfig

if [ -e error.pic ]
then
  rm error.pic
fi
#$GPASM -c -w0 $QUELLTEXT.pic | tee error.pic
$GPASM -c -w1 $QUELLTEXT.pic | tee error.pic
$GPLINK -o $QUELLTEXT.hex -c -a inhx32 -s $LINKERSCRIPT/$LKR -m $QUELLTEXT.o | tee -a error.pic
if test -s error.pic
then
  echo "Kompilieren: Es sind Fehler aufgetreten!"
  exit 1
else
  echo "Kompilieren: Fehlerfrei!"
  exit 0
fi
